<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!-- 3.) Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Review on Bootstrap Grid System</title>

	<!-- 1.) Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>

	<!-- first example -->
	<!-- .container or .container-fluid -->
	<h1>First Example</h1>
	<div class="container my-3">
		<!-- row can contain 1 or more columns which can will divide total of 12 columns per row -->
		<div class="row">
			<div class="
				col-12 
				col-sm-12
				col-md-6
				m-auto
			">
				<form class="border p-4">
					<div>
						<label for="email">Email:</label>
						<input type="email" id="email">
					</div>
					<div>
						<label for="password">Password:</label>
						<input type="password" id="password">
					</div>
				</form>
			</div>				
		</div>
	</div>


	<!-- second example -->
	<!-- C - R - C rule / Container - Row - Column rule -->
	<h1>Second Example</h1>
	<div class="container">
		<div class="row">
			<div class="
				border
				p-3
				col-12
				col-sm-6
				col-md-5
				col-lg-4
				col-xl-3
			">
				<form class="border p-4">
					<div>
						<label for="email">Email:</label>
						<input type="email" id="email">
					</div>
					<div>
						<label for="password">Password:</label>
						<input type="password" id="password">
					</div>
				</form>
			</div>
			<div class="
				border
				p-3
				col-12
				col-sm-6
				col-md-7
				col-lg-8
				col-xl-9
			">
				<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
			</div>
		</div>
	</div>


	<!-- third example -->
	<h1>Third Example</h1>
	<div class="container">
		<div class="row">
			<!-- first col -->
			<div class="
				p-3
				col-12
				col-md-6 order-md-1
			">
				<img src="https://imageio.forbes.com/blogs-images/jvchamary/files/2016/03/man_of_steel-1200x800.jpg?fit=bounds&format=jpg&width=960" class="img-fluid">
			</div>
			<!-- second col -->
			<div class="
				p-3
				col-12
				order-md-3
			">				
				<p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Incidunt veniam cum, ab itaque eaque voluptatibus qui enim nemo ducimus! Voluptatum repudiandae quidem quas perspiciatis soluta ea natus libero architecto vitae.</p>
			</div>
			<!-- third col -->
			<div class="
				card
				bg-secondary
				p-3
				col-12
				col-md-6 order-md-2
			">
				<img src="https://imageio.forbes.com/blogs-images/jvchamary/files/2016/03/man_of_steel-1200x800.jpg?fit=bounds&format=jpg&width=960" class="card-img-top">
				<div class="card-body">
					<h5>Superman</h5>
					<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Earum vero accusantium nobis fuga, eos.</p>
				</div>
			</div>
		</div>
	</div>


	<!-- fourth example -->
	<h1>Fourth Example</h1>
	<div class="container">
		<div class="row">
			<!-- first column -->
			<div class="border bg-success p-3 col-12 col-xl-6">
				<p>Lorem ipsum dolor sit amet, consectetur adipisicing, elit. Deleniti numquam facere mollitia harum, nisi in minus, dicta quisquam nam debitis ad. Vel quos doloribus cum, quisquam ut nostrum voluptatum quas?</p>

				<!-- nested row -->
				<div class="row">
					<!-- first nested column -->
					<div class="border bg-danger p-3 col-12 col-md-6">
						<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa, distinctio rerum corrupti explicabo pariatur asperiores enim atque impedit in, tenetur debitis nostrum voluptatibus quia, laudantium tempore officiis beatae quisquam blanditiis.</p>
					</div>
					<!-- second nested column -->
					<div class="border bg-primary p-3 col-12 col-md-6">
							<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa, distinctio rerum corrupti explicabo pariatur asperiores enim atque impedit in, tenetur debitis nostrum voluptatibus quia, laudantium tempore officiis beatae quisquam blanditiis.</p>
					</div>
				</div>
			</div>
			<!-- second column -->
			<div class="border bg-warning p-3 col-12 col-xl-6">
				<p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Unde aliquam blanditiis neque, totam voluptas doloremque, minima cumque asperiores, illum odit incidunt sit quasi praesentium eius odio quis veritatis. Assumenda, non.</p>

				<!-- nested row -->
				<div class="row">
					<div class="border bg-secondary p-3 col-12 col-md-4">
						<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ullam architecto, ea maxime debitis molestiae in rerum eveniet laborum assumenda laboriosam quia libero, ipsam illo? Facere neque dolore officia saepe quidem.</p>
					</div>
					<div class="border bg-info p-3 col-12 col-md-4">
						<p>Lorem ipsum, dolor sit, amet consectetur adipisicing elit. Nesciunt ullam perferendis aut aspernatur unde! Expedita, illo. Non, error, et. Blanditiis nihil nisi obcaecati quibusdam soluta veritatis eveniet nesciunt. Harum, earum.</p>
					</div>
					<div class="border bg-dark p-3 col-12 col-md-4">
						<p class="text-white">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Qui quibusdam quasi fugiat iure quisquam dolorum ad maxime porro praesentium quod debitis, odit ab, alias commodi aut quidem, reiciendis nostrum. Voluptas?</p>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div style="margin-top: 100px;"></div>





	<!-- 2.) Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>